include/Zycore/API/Memory.h(3)

NAME
include/Zycore/API/Memory.h

SYNOPSIS

#include <Zycore/Defines.h>
#include <Zycore/Status.h>
#include <Zycore/Types.h>

  Typedefs

typedef enum ZyanMemoryPageProtection_ ZyanMemoryPageProtection

  Enumerations

enum ZyanMemoryPageProtection_

  Functions

ZYCORE_EXPORT ZyanU32 ZyanMemoryGetSystemPageSize (void)
ZYCORE_EXPORT ZyanU32 ZyanMemoryGetSystemAllocationGranularity (void)
ZYCORE_EXPORT ZyanStatus ZyanMemoryVirtualProtect (void *address, ZyanUSize size, ZyanMemoryPageProtection protection)
ZYCORE_EXPORT ZyanStatus ZyanMemoryVirtualFree (void *address, ZyanUSize size)

Typedef Documentation

  typedef enum ZyanMemoryPageProtection_ ZyanMemoryPageProtection
Defines the ZyanMemoryPageProtection enum.

Enumeration Type Documentation

  enum ZyanMemoryPageProtection_
Defines the ZyanMemoryPageProtection enum.

Function Documentation

  ZYCORE_EXPORT ZyanU32 ZyanMemoryGetSystemAllocationGranularity (void )
Returns the system allocation granularity.

The system allocation granularity specifies the minimum amount of bytes which can be allocated at a specific address by a single call of ZyanMemoryVirtualAlloc.

This value is typically 64KiB on Windows systems and equal to the page size on most POSIX platforms.

Returns
    The system allocation granularity.

  ZYCORE_EXPORT ZyanU32 ZyanMemoryGetSystemPageSize (void )
Returns the system page size.

Returns
    The system page size.

  ZYCORE_EXPORT ZyanStatus ZyanMemoryVirtualFree (void * address, ZyanUSize size)
Releases one or more memory pages starting at the given address.

Parameters
    address The start address aligned to a page boundary.
    size The size.

Returns
    A zyan status code.

  ZYCORE_EXPORT ZyanStatus ZyanMemoryVirtualProtect (void * address, ZyanUSize size, ZyanMemoryPageProtection protection)
Changes the memory protection value of one or more pages.

Parameters
    address The start address aligned to a page boundary.
    size The size.
    protection The new page protection value.

Returns
    A zyan status code.

Author

Generated automatically by Doxygen for Zycore from the source code.